#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
/*
 * $Id: Dcache_Access_end_cycle.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Dcache_Access/include/Dcache_Access.h"

namespace morpheo {
namespace behavioural {
namespace core {
namespace dcache_access {


#undef  FUNCTION
#define FUNCTION "Dcache_Access::end_cycle"
void Dcache_Access::end_cycle ()
  {
    log_begin(Dcache_Access,FUNCTION);

#ifdef STATISTICS
    if (usage_is_set(_usage,USE_STATISTICS))
      _stat->end_cycle();
#endif    

#ifdef VHDL_TESTBENCH
    // Evaluation before read the ouput signal
//  sc_start(0);
    if (usage_is_set(_usage,USE_VHDL_TESTBENCH))
      _interfaces->testbench();
#endif

    log_end(Dcache_Access,FUNCTION);
  };

}; // end namespace dcache_access
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
